# -*- coding: utf-8 -*-

from typing import Optional, List

from libastra_csp.yaml_settings import YamlSettings


class GraphicSettings(YamlSettings):
    __pdf_conversion_mime_types = 'pdf_conversion_mime_types'
    __mime_types_regex = 'mime_types_regex'

    def __init__(self) -> None:
        super().__init__(file_path='/usr/share/astra-csp/fly-csp.yaml')

    @property
    def pdf_conversion_mime_types(self) -> Optional[List[str]]:
        return self.dictionary.get(self.__pdf_conversion_mime_types)

    @pdf_conversion_mime_types.setter
    def pdf_conversion_mime_types(self, value: List[str]) -> None:
        self.dictionary[self.__pdf_conversion_mime_types] = value

    @property
    def mime_types_regex(self) -> str:
        return self.dictionary.get(self.__mime_types_regex)